Banners
Add, remove and list platform-wide banner notifications.
List Banners
/communications/v1/banners
Get all banners.
Requires a bearer access token for this API with the Banner.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/banners" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get a Banner
/communications/v1/banners/{bannerId}
Get a banner by id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/banners/{bannerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List Active Banners
/communications/v1/banners/active
Get all active banners.
Requires a bearer access token for this API. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/banners/active" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"